Overview | Modules | Class Hierarchy | Classes | Members

# tlp::SimpleTest Class Reference
[Graph_test]

`#include <SimpleTest.h>`

Inherits tlp::GraphObserver.

Inheritance diagram for tlp::SimpleTest:

[legend]
Collaboration diagram for tlp::SimpleTest:

[legend]
List of all members.

## Detailed Description

class for testing if the graph is simple (ie no self loops and no multiple or parallel edges)

## Static Public Member Functions

- static bool isSimple (Graph *graph)
- static void makeSimple (Graph *graph, std::vector< edge > &removed)
- static bool simpleTest (Graph *graph, std::vector< edge > *multipleEdges=0, std::vector< edge > *loops=0)

## Member Function Documentation

static bool tlp::SimpleTest::isSimple | ( | Graph * | graph | ) | `[static]`

static void tlp::SimpleTest::makeSimple | ( | Graph * | graph,
|  | std::vector< edge > & | removed
| ) | `[static]`

static bool tlp::SimpleTest::simpleTest | ( | Graph * | graph,
|  | std::vector< edge > * | multipleEdges = `0`,
|  | std::vector< edge > * | loops = `0`
| ) | `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010